package com.boman.ureport2;

import com.boman.common.security.annotation.EnableCustomConfig;
import com.boman.common.security.annotation.EnableRyFeignClients;
import com.boman.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * web-core
 *
 * @author shiqian
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringCloudApplication
@ComponentScan(value = {"com.boman", "com.bstek"})
public class BomanUReport2Application {

    public static void main(String[] args) {
        SpringApplication.run(BomanUReport2Application.class, args);
        System.out.println();
        System.out.println();
        System.out.println("---------------------------------------------- boman-ureport2 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-ureport2 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-ureport2 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-ureport2 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-ureport2 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-ureport2 模块启动成功----------------------------------------------");
        System.out.println();
        System.out.println();
    }
}
